Package org.apache.cayenne.access.translator.batch

## Class DefaultBatchTranslatorFactory

- java.lang.Object
- - org.apache.cayenne.access.translator.batch.DefaultBatchTranslatorFactory

- All Implemented Interfaces:
    `BatchTranslatorFactory`
  Direct Known Subclasses:
    `SoftDeleteTranslatorFactory`

      public class DefaultBatchTranslatorFactory
      extends Object
      implements BatchTranslatorFactory

  Default implementation of `BatchTranslatorFactory`.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultBatchTranslatorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected BatchTranslator` | `deleteTranslator​(DeleteBatchQuery query, DbAdapter adapter, String trimFunction)` |
    `protected BatchTranslator` | `insertTranslator​(InsertBatchQuery query, DbAdapter adapter)` |
    `BatchTranslator` | `translator​(BatchQuery query, DbAdapter adapter, String trimFunction)` | Creates a proper translator for a BatchQuery
    `protected BatchTranslator` | `updateTranslator​(UpdateBatchQuery query, DbAdapter adapter, String trimFunction)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultBatchTranslatorFactory

          public DefaultBatchTranslatorFactory()

  - ### Method Detail

    - #### translator

          public BatchTranslator translator​(BatchQuery query,
                                            DbAdapter adapter,
                                            String trimFunction)

      Description copied from interface: `BatchTranslatorFactory`
      Creates a proper translator for a BatchQuery
      Specified by:
        `translator` in interface `BatchTranslatorFactory`

    - #### deleteTranslator

          protected BatchTranslator deleteTranslator​(DeleteBatchQuery query,
                                                     DbAdapter adapter,
                                                     String trimFunction)

    - #### insertTranslator

          protected BatchTranslator insertTranslator​(InsertBatchQuery query,
                                                     DbAdapter adapter)

    - #### updateTranslator

          protected BatchTranslator updateTranslator​(UpdateBatchQuery query,
                                                     DbAdapter adapter,
                                                     String trimFunction)